package company

import (
	"sorbet/internal/services/company/controller"
	"sorbet/pkg/app"
)

type Service struct{}

func (*Service) Name() string {
	return "company"
}

func (*Service) Priority() int {
	return 1
}

func (*Service) Init(ctx *app.Context) error {
	ctx.Routes(&controller.CompanyController{})
	ctx.Routes(&controller.CompanyDepartmentController{})
	ctx.Routes(&controller.CompanyStaffController{})
	return nil
}

func (s *Service) Bootstrap() error { return nil }
func (s *Service) Destroy() error   { return nil }
