package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/feature/request"
	"sorbet/pkg/app"
)

type FeatureCategoryController struct {
	app.Controller[entities.FeatureCategory, request.FeatureCategoryUpsertRequest]
}

func (f *FeatureCategoryController) InitRoutes(r *echo.Group) {
	f.RegisterRoutes("/feature/categories", r)
}
