package main

import (
	"log"
	"sorbet/internal"
	"sorbet/pkg/env"
)

func main() {
	if err := env.Init(); err != nil {
		panic(err)
	}
	if err := internal.Init(); err != nil {
		panic(err)
	}
	if err := internal.Start(); err != nil {
		log.Panicln(err)
	}
}
