package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/company/request"
	"sorbet/pkg/app"
)

type CompanyDepartmentController struct {
	app.Controller[entities.CompanyDepartment, request.CompanyDepartmentUpsertRequest]
}

func (c *CompanyDepartmentController) InitRoutes(r *echo.Group) {
	c.RegisterRoutes("/company/departments", r)
}
