package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/feature/request"
	"sorbet/pkg/app"
)

type FeatureContentDetailController struct {
	app.Controller[entities.FeatureContentDetail, request.FeatureContentDetailUpsertRequest]
}

func (f *FeatureContentDetailController) InitRoutes(r *echo.Group) {
	f.RegisterRoutes("/feature/content/detail", r)
}
